Package ru.bitel.bgbilling.modules.bill.server.bean

# Class Bill

java.lang.Object
ru.bitel.bgbilling.modules.bill.server.bean.BillDoc
ru.bitel.bgbilling.modules.bill.server.bean.Bill

All Implemented Interfaces:
  `ContractIdable`

public class Bill extends BillDoc

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Bill.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Bill()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Bill.Builder`
  `builder()`
  `int`
  `getAccountId()`
  `Date`
  `getPayDate()`
  `int`
  `getPaymentId()`
  `int`
  `getPayUid()`
  `int`
  `getStatus()`
  `int`
  `getUnloadStatus()`
  `void`
  `setAccountId(int accountId)`
  `void`
  `setPayDate(Date payDate)`
  `void`
  `setPaymentId(int paymentId)`
  `void`
  `setPayUid(int payUid)`
  `void`
  `setStatus(int status)`
  `void`
  `setUnloadStatus(int unloadStatus)`

  ### Methods inherited from class ru.bitel.bgbilling.modules.bill.server.bean.BillDoc

  `getAddress, getBankAccount, getContractComment, getContractId, getContractTitle, getCorrection, getCreateDate, getDocument, getFormatNumber, getId, getMm, getNpid, getNumber, getNumberInMonth, getNumberInYear, getOrganization, getPositionList, getRecipient, getSumm, getTypeId, getTypeTitle, getUid, getUserId, getUserName, getXmlData, getYy, setAddress, setBankAccount, setContractComment, setContractId, setContractTitle, setCorrection, setCreateDate, setDocument, setFormatNumber, setId, setMm, setNpid, setNumber, setNumberInMonth, setNumberInYear, setOrganization, setPositionList, setRecipient, setSumm, setTypeId, setTypeTitle, setUid, setUserId, setUserName, setXmlData, setYy`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Bill

    public Bill()

- ## Method Details

  - ### getAccountId

    public int getAccountId()

  - ### setAccountId

    public void setAccountId(int accountId)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### getUnloadStatus

    public int getUnloadStatus()

  - ### setUnloadStatus

    public void setUnloadStatus(int unloadStatus)

  - ### getPayDate

    public Date getPayDate()

  - ### setPayDate

    public void setPayDate(Date payDate)

  - ### getPaymentId

    public int getPaymentId()

  - ### setPaymentId

    public void setPaymentId(int paymentId)

  - ### getPayUid

    public int getPayUid()

  - ### setPayUid

    public void setPayUid(int payUid)

  - ### builder

    public static Bill.Builder builder()